<launch>

  <node pkg="rviz" type="rviz" name="rviz" args="-d $(find lab_localization)/rviz/c270.rviz"/>
<node pkg="tf" type="static_transform_publisher" name="mark_to_cam"
    args="0.11892 -0.54027 0.70382 0.88548 0.14491 -0.13749 -0.41956 world camera 10" />
    <node pkg="tf" type="static_transform_publisher" name="world_to_denso"
    args="-0.3335 0.56 0.0 -0.0 -0.0 -0.7071 0.7071 world denso 10" />
    
  <node ns="camera" pkg="image_proc" type="image_proc" name="image_proc"/>
  <node ns="camera" pkg="uvc_camera" type="uvc_camera_node" name="uvc_camera"
      output="screen">
      <param name="width" type="int" value="1280" />
      <param name="height" type="int" value="960" />
      <param name="fps" type="int" value="10" />
      <param name="frame" type="string" value="camera" />
      <param name="device" type="string" value="/dev/video0"/>
      <param name="camera_info_url" type="string"
        value="file://$(find lab_localization)/yaml/c270_720.yaml" />
  </node>


	<arg name="marker_size" default="4.5" />
	<arg name="max_new_marker_error" default="0.08" />
	<arg name="max_track_error" default="0.2" />
	<arg name="cam_image_topic" default="/camera/image_color" />
	<arg name="cam_info_topic" default="/camera/camera_info" />    
	<arg name="output_frame" default="/camera" />
	<arg name="bundle_files" default="$(find lab_localization)/bundles/cube.xml $(find lab_localization)/bundles/table_plane.xml" />

	<remap from="camera_image"  to="$(arg cam_image_topic)" />
	<remap from="camera_info"   to="$(arg cam_info_topic)" />

	<node name="ar_track_alvar" pkg="ar_track_alvar" type="findMarkerBundlesNoKinect" respawn="false" output="screen" args="$(arg marker_size) $(arg max_new_marker_error) $(arg max_track_error) $(arg cam_image_topic) $(arg cam_info_topic) $(arg output_frame) $(arg bundle_files)" />

</launch>
